@use "../theme";


.filter-form-wrapper {
    display: none;

    @media only screen and (min-width: theme.$sm) {
        display: block;
        margin: 56px 0 0;
    }
}

.filter-form {
    display: flex;
    flex-direction: column;

    &__query {
        margin: theme.$spacing07 0 theme.$spacing04;
        display: flex;
        flex-direction: column;
        width: 100%;
        position: relative;

        label {
            color: theme.$colorPaletteGray800;
            margin-bottom: 0.25rem;
        }

        &__topic {
            margin: theme.$spacing02 0 0;
            position: relative;

            @media only screen and (min-width: theme.$sm) {
                position: absolute;
            }
        }

    }

    &__filter-toggle {
        margin-top: theme.$spacing04;

        @media only screen and (min-width: theme.$sm) {
            display: none;
        }
    }

    &__facets {
        margin: 0;
        padding: 0;
        list-style: none;
        $self: &;

        &__facet {
            $self: &;

            &--collapsed {
                .checkbox-list {
                    &__option--hidden-initially {
                        display: flex;
                    }
                }

                #{ $self }__show-more-button {
                    display: none;
                }

                #{ $self }__show-less-button {
                    display: flex;
                }

            }


            &__show-more-button,
            &__show-less-button {
                cursor: pointer;
                border: none;
                margin-top: theme.$spacing03;
                padding: theme.$spacing03 theme.$spacing04 theme.$spacing03 theme.$spacing02;
                background-color: theme.$colorBrandLight;
                align-items: center;
                justify-content: flex-start;

                &:hover {
                    text-decoration: underline;
                }

                .icon {
                    margin-left: 1px;
                }
            }

            &__show-more-button {
                display: flex;
            }

            &__show-less-button {
                display: none;
            }
        }
    }
}
